# Suggest addresses for the given address part

Endpoint: GET /api/v1/addresses/suggest
Version: 1.0
Security: 

## Query parameters:

  - `lang` (string,null)
    Language to use for the completion
    Enum: "BG", "CS", "DA", "DE", "EL", "EN", "ES", "ET", "FI", "FR", "HU", "ID", "IT", "JA", "KO", "LT", "LV", "NB", "NL", "PL", "PT", "RO", "RU", "SK", "SL", "SV", "TR", "UK", "ZH"

  - `text` (string, required)
    Address to complete

## Response 200 fields (application/json):

  - `formatted` (string, required)
    Formatted address
    Example: "Adriaen Van Ostadestraat 53, 4703 NT Roosendaal, Netherlands"

  - `name` (string,null)
    Name
    Example: "Casa Vacanze"

  - `country` (string,null)
    Country
    Example: "USA"

  - `countryCode` (string,null)
    Country two letter name
    Example: "us"

  - `region` (string,null)
    Region
    Example: "Massachusetts"

  - `regionCode` (string,null)
    Region Code
    Example: "MA"

  - `subRegion` (string,null)
    Sub-region
    Example: "Newton Heights"

  - `locality` (string,null)
    Locality
    Example: "Madrid"

  - `street` (string,null)
    Street
    Example: "Adriaen Van Ostadestraat"

  - `postalCode` (string,null)
    Address postal code
    Example: "4703 NT"

  - `houseNumber` (string,null)
    House number
    Example: "23"

  - `longitude` (number,null)
    Longitude
    Example: 4.437564

  - `latitude` (number,null)
    Latitude
    Example: 51.534581

  - `timeZone` (string,null)
    Time zone name
    Example: "Europe/Amsterdam"

  - `plusCode` (string,null)
    Short code
    Example: "9F36GCMQ+R2"

  - `serviceId` (string,null)
    Service ID
    Example: "geoapify"

  - `placeId` (string,null)
    Service place id

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 429 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


